Package org.gradle.language.nativeplatform

## Interface ComponentWithLinkUsage

- All Superinterfaces:
    `ComponentWithNativeRuntime`, `Named`, `SoftwareComponent`
  All Known Subinterfaces:
    `CppSharedLibrary`, `CppStaticLibrary`, `SwiftSharedLibrary`, `SwiftStaticLibrary`

      public interface ComponentWithLinkUsage
      extends ComponentWithNativeRuntime

  Represents a native component whose link time file and dependencies are published for consumption by some other project.
  Since:
    4.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Provider<Configuration>` | `getLinkElements()` | Returns the outgoing link elements of this component.

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithNativeRuntime

      `getBaseName, getTargetMachine, getToolChain, isDebuggable, isOptimized`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getLinkElements

          Provider<Configuration> getLinkElements()

      Returns the outgoing link elements of this component.